std::condition_variable(3cxx)

NAME
std::condition_variable - condition_variable

SYNOPSIS

  Public Types

typedef __gthread_cond_t * native_handle_type

  Public Member Functions

condition_variable (const condition_variable &)=delete
native_handle_type native_handle ()
void notify_all () noexcept
void notify_one () noexcept
condition_variable & operator= (const condition_variable &)=delete
void wait (unique_lock< mutex > &__lock)
template<typename _Predicate > void wait (unique_lock< mutex > &__lock, _Predicate __p)
template<typename _Rep , typename _Period > cv_status wait_for (unique_lock< mutex > &__lock, const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Rep , typename _Period , typename _Predicate > bool wait_for (unique_lock< mutex > &__lock, const chrono::duration< _Rep, _Period > &__rtime, _Predicate __p)
template<typename _Clock , typename _Duration > cv_status wait_until (unique_lock< mutex > &__lock, const chrono::time_point< _Clock, _Duration > &__atime)
template<typename _Clock , typename _Duration , typename _Predicate > bool wait_until (unique_lock< mutex > &__lock, const chrono::time_point< _Clock, _Duration > &__atime, _Predicate __p)
template<typename _Duration > cv_status wait_until (unique_lock< mutex > &__lock, const chrono::time_point< system_clock, _Duration > &__atime)

Detailed Description

condition_variable

Author

Generated automatically by Doxygen for libstdc++ from the source code.